com.avaya.ccs.api

## Interface PostalAddressListEntryI

-     public interface PostalAddressListEntryI

  The `PostalAddressListEntryI` object represents a postal address entry administered for a customer associated an `InteractionI`.

  Not all lines of the postal address are mandatory in administration of the customer.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCountry()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getLine1()`
    `java.lang.String` | `getLine2()`
    `java.lang.String` | `getLine3()`
    `java.lang.String` | `getLine4()`
    `java.lang.String` | `getLine5()`
    `java.lang.String` | `getZipcode()`
    `boolean` | `isDefault()`
    `void` | `setCountry(java.lang.String country)` Allows the `UserI` processing an `InteractionI` to modify the country of the administered for the customer's postal address entry
    `void` | `setDefault(boolean setDefault)` Allows the `UserI` processing an `InteractionI` to set this as the default address for the customoer
    `void` | `setLine1(java.lang.String line1)` Allows the `UserI` processing an `InteractionI` to modify line 1 of the administered for the customer's postal address entry
    `void` | `setLine2(java.lang.String line2)` Allows the `UserI` processing an `InteractionI` to modify line 2 of the administered for the customer's postal address entry
    `void` | `setLine3(java.lang.String line3)` Allows the `UserI` processing an `InteractionI` to modify line 3 of the administered for the customer's postal address entry
    `void` | `setLine4(java.lang.String line4)` Allows the `UserI` processing an `InteractionI` to modify line 4 of the administered for the customer's postal address entry
    `void` | `setLine5(java.lang.String line5)` Allows the `UserI` processing an `InteractionI` to modify line 5 of the administered for the customer's postal address entry
    `void` | `setZipcode(java.lang.String zipcode)` Allows the `UserI` processing an `InteractionI` to modify the country of the administered for the customer's postal address entry

- - ### Method Detail

    - #### getId

          java.lang.String getId()

      Returns:
        the unique id for the postal address entry on the POM server

    - #### getLine1

          java.lang.String getLine1()

      Returns:
        line 1 of the customers postal address entry or an empty string if not administered

    - #### getLine2

          java.lang.String getLine2()

      Returns:
        line 2 of the customers postal address entry or an empty string if not administered

    - #### getLine3

          java.lang.String getLine3()

      Returns:
        line 3 of the customers postal address entry or an empty string if not administered

    - #### getLine4

          java.lang.String getLine4()

      Returns:
        line 4 of the customers postal address entry or an empty string if not administered

    - #### getLine5

          java.lang.String getLine5()

      Returns:
        line 5 of the customers postal address entry or an empty string if not administered

    - #### getCountry

          java.lang.String getCountry()

      Returns:
        the country of the customers postal address entry or an empty string if not administered

    - #### getZipcode

          java.lang.String getZipcode()

      Returns:
        zipcode of the customers postal address entry or an empty string if not administered

    - #### isDefault

          boolean isDefault()

      Returns:
        true if this is the default address as administered in AACC; otherwise false.

    - #### setLine1

          void setLine1(java.lang.String line1)

      Allows the `UserI` processing an `InteractionI` to modify line 1 of the administered for the customer's postal address entry
      Parameters:
        `line1` - the new line 1 address value

    - #### setLine2

          void setLine2(java.lang.String line2)

      Allows the `UserI` processing an `InteractionI` to modify line 2 of the administered for the customer's postal address entry
      Parameters:
        `line2` - the new line 2 address value

    - #### setLine3

          void setLine3(java.lang.String line3)

      Allows the `UserI` processing an `InteractionI` to modify line 3 of the administered for the customer's postal address entry
      Parameters:
        `line3` - the new line 3 address value

    - #### setLine4

          void setLine4(java.lang.String line4)

      Allows the `UserI` processing an `InteractionI` to modify line 4 of the administered for the customer's postal address entry
      Parameters:
        `line4` - the new line 4 address value

    - #### setLine5

          void setLine5(java.lang.String line5)

      Allows the `UserI` processing an `InteractionI` to modify line 5 of the administered for the customer's postal address entry
      Parameters:
        `line5` - the new line 5 address value

    - #### setCountry

          void setCountry(java.lang.String country)

      Allows the `UserI` processing an `InteractionI` to modify the country of the administered for the customer's postal address entry
      Parameters:
        `country` - the new country address value

    - #### setZipcode

          void setZipcode(java.lang.String zipcode)

      Allows the `UserI` processing an `InteractionI` to modify the country of the administered for the customer's postal address entry
      Parameters:
        `zipcode` - the new zipcode address value

    - #### setDefault

          void setDefault(boolean setDefault)

      Allows the `UserI` processing an `InteractionI` to set this as the default address for the customoer
      Parameters:
        `setDefault` - true/false